Package org.apache.cayenne.ejbql

# Interface EJBQLExpression

All Known Subinterfaces:
  `Node`

All Known Implementing Classes:
  `AggregateConditionNode`, `EJBQLAbs`, `EJBQLAbstractSchemaName`, `EJBQLAdd`, `EJBQLAggregate`, `EJBQLAggregateColumn`, `EJBQLAll`, `EJBQLAnd`, `EJBQLAny`, `EJBQLAscending`, `EJBQLAverage`, `EJBQLBetween`, `EJBQLBooleanLiteral`, `EJBQLClassName`, `EJBQLConcat`, `EJBQLConstructor`, `EJBQLConstructorParameter`, `EJBQLConstructorParameters`, `EJBQLCount`, `EJBQLCurrentDate`, `EJBQLCurrentTime`, `EJBQLCurrentTimestamp`, `EJBQLDbPath`, `EJBQLDecimalLiteral`, `EJBQLDelete`, `EJBQLDescending`, `EJBQLDistinct`, `EJBQLDivide`, `EJBQLEquals`, `EJBQLEscapeCharacter`, `EJBQLExists`, `EJBQLFrom`, `EJBQLFromItem`, `EJBQLGreaterOrEqual`, `EJBQLGreaterThan`, `EJBQLGroupBy`, `EJBQLHaving`, `EJBQLIdentificationVariable`, `EJBQLIdentifier`, `EJBQLIn`, `EJBQLInnerFetchJoin`, `EJBQLInnerJoin`, `EJBQLIntegerLiteral`, `EJBQLIsEmpty`, `EJBQLIsNull`, `EJBQLJoin`, `EJBQLLength`, `EJBQLLessOrEqual`, `EJBQLLessThan`, `EJBQLLike`, `EJBQLLocate`, `EJBQLLower`, `EJBQLMax`, `EJBQLMemberOf`, `EJBQLMin`, `EJBQLMod`, `EJBQLMultiply`, `EJBQLNamedInputParameter`, `EJBQLNegative`, `EJBQLNot`, `EJBQLNotEquals`, `EJBQLOr`, `EJBQLOrderBy`, `EJBQLOrderByItem`, `EJBQLOuterFetchJoin`, `EJBQLOuterJoin`, `EJBQLPath`, `EJBQLPatternValue`, `EJBQLPositionalInputParameter`, `EJBQLSelect`, `EJBQLSelectClause`, `EJBQLSelectExpression`, `EJBQLSelectExpressions`, `EJBQLSize`, `EJBQLSqrt`, `EJBQLStringLiteral`, `EJBQLSubselect`, `EJBQLSubstring`, `EJBQLSubtract`, `EJBQLSum`, `EJBQLTok`, `EJBQLTrim`, `EJBQLTrimBoth`, `EJBQLTrimCharacter`, `EJBQLTrimLeading`, `EJBQLTrimSpecification`, `EJBQLTrimTrailing`, `EJBQLUpdate`, `EJBQLUpdateField`, `EJBQLUpdateItem`, `EJBQLUpdateValue`, `EJBQLUpper`, `EJBQLWhere`, `SimpleNode`

public interface EJBQLExpression
An abstract EJBQL expression interface.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EJBQLExpression`
  `getChild(int index)`
  Returns a child expression node at the specified index.
  `int`
  `getChildrenCount()`
  Returns a number of child operands of this expression node.
  `String`
  `getText()`
  Returns a text property of the node.
  `boolean`
  `isNegated()`
  Returns an optional boolean flag that negates the value of the expression.
  `void`
  `visit(EJBQLExpressionVisitor visitor)`
  Accepts a visitor, calling appropriate visitor method.

- ## Method Details

  - ### visit

    void visit(EJBQLExpressionVisitor visitor)
    Accepts a visitor, calling appropriate visitor method. If the visitor method returns true, visits all children, otherwise stops.

  - ### getChildrenCount

    int getChildrenCount()
    Returns a number of child operands of this expression node.

  - ### getChild

    EJBQLExpression getChild(int index)
    Returns a child expression node at the specified index.

  - ### getText

    String getText()
    Returns a text property of the node.

  - ### isNegated

    boolean isNegated()
    Returns an optional boolean flag that negates the value of the expression.